Assign designs to a product
curl --request PUT \
--url https://api.print.app/v2/products/{productId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"designIds": [
"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1"
],
"variants": [
{
"id": "4401",
"designIds": [
"design_01J8ZB0C1D2E3F4G5H6J7K8M9N"
]
}
]
}
'import requests
url = "https://api.print.app/v2/products/{productId}"
payload = {
"designIds": ["design_01J8Z9K2M3N4P5Q6R7S8T9V0W1"],
"variants": [
{
"id": "4401",
"designIds": ["design_01J8ZB0C1D2E3F4G5H6J7K8M9N"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
designIds: ['design_01J8Z9K2M3N4P5Q6R7S8T9V0W1'],
variants: [{id: '4401', designIds: ['design_01J8ZB0C1D2E3F4G5H6J7K8M9N']}]
})
};
fetch('https://api.print.app/v2/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.print.app/v2/products/{productId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'designIds' => [
'design_01J8Z9K2M3N4P5Q6R7S8T9V0W1'
],
'variants' => [
[
'id' => '4401',
'designIds' => [
'design_01J8ZB0C1D2E3F4G5H6J7K8M9N'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.print.app/v2/products/{productId}"
payload := strings.NewReader("{\n \"designIds\": [\n \"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1\"\n ],\n \"variants\": [\n {\n \"id\": \"4401\",\n \"designIds\": [\n \"design_01J8ZB0C1D2E3F4G5H6J7K8M9N\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.print.app/v2/products/{productId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"designIds\": [\n \"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1\"\n ],\n \"variants\": [\n {\n \"id\": \"4401\",\n \"designIds\": [\n \"design_01J8ZB0C1D2E3F4G5H6J7K8M9N\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.print.app/v2/products/{productId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"designIds\": [\n \"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1\"\n ],\n \"variants\": [\n {\n \"id\": \"4401\",\n \"designIds\": [\n \"design_01J8ZB0C1D2E3F4G5H6J7K8M9N\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"object": "product",
"id": "8812001",
"title": "Business cards",
"designIds": [
"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1"
],
"variants": [],
"modified": "2026-10-27T10:00:00Z"
}{
"error": true,
"code": "invalid_request",
"message": "width is required.",
"param": "width",
"requestId": "FZn-uhymjoEEJow="
}{
"error": true,
"code": "unauthorized",
"message": "Missing or invalid secret key. Send it as \"Authorization: Bearer sk_…\".",
"requestId": "FZn-uhymjoEEJow="
}{
"error": true,
"code": "account_suspended",
"message": "This account is suspended. Settle the outstanding invoice in the Print.App dashboard.",
"requestId": "FZn-uhymjoEEJow="
}{
"error": true,
"code": "not_found",
"message": "Not found.",
"requestId": "FZn-uhymjoEEJow="
}{
"error": true,
"code": "unsupported_media_type",
"message": "Send the request body as JSON, with \"Content-Type: application/json\".",
"requestId": "FZn-uhymjoEEJow="
}{
"message": "Too Many Requests"
}{
"error": true,
"code": "internal_error",
"message": "Something went wrong on our side. Retry the request; if it keeps failing, contact support with the requestId.",
"requestId": "FZn-uhymjoEEJow="
}Products
Assign designs to a product
Sets which designs open for a product, and optionally per variant. Replaces the product’s assignment; settings made in the dashboard are kept.
PUT
/
v2
/
products
/
{productId}
Assign designs to a product
curl --request PUT \
--url https://api.print.app/v2/products/{productId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"designIds": [
"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1"
],
"variants": [
{
"id": "4401",
"designIds": [
"design_01J8ZB0C1D2E3F4G5H6J7K8M9N"
]
}
]
}
'import requests
url = "https://api.print.app/v2/products/{productId}"
payload = {
"designIds": ["design_01J8Z9K2M3N4P5Q6R7S8T9V0W1"],
"variants": [
{
"id": "4401",
"designIds": ["design_01J8ZB0C1D2E3F4G5H6J7K8M9N"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
designIds: ['design_01J8Z9K2M3N4P5Q6R7S8T9V0W1'],
variants: [{id: '4401', designIds: ['design_01J8ZB0C1D2E3F4G5H6J7K8M9N']}]
})
};
fetch('https://api.print.app/v2/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.print.app/v2/products/{productId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'designIds' => [
'design_01J8Z9K2M3N4P5Q6R7S8T9V0W1'
],
'variants' => [
[
'id' => '4401',
'designIds' => [
'design_01J8ZB0C1D2E3F4G5H6J7K8M9N'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.print.app/v2/products/{productId}"
payload := strings.NewReader("{\n \"designIds\": [\n \"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1\"\n ],\n \"variants\": [\n {\n \"id\": \"4401\",\n \"designIds\": [\n \"design_01J8ZB0C1D2E3F4G5H6J7K8M9N\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.print.app/v2/products/{productId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"designIds\": [\n \"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1\"\n ],\n \"variants\": [\n {\n \"id\": \"4401\",\n \"designIds\": [\n \"design_01J8ZB0C1D2E3F4G5H6J7K8M9N\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.print.app/v2/products/{productId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"designIds\": [\n \"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1\"\n ],\n \"variants\": [\n {\n \"id\": \"4401\",\n \"designIds\": [\n \"design_01J8ZB0C1D2E3F4G5H6J7K8M9N\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"object": "product",
"id": "8812001",
"title": "Business cards",
"designIds": [
"design_01J8Z9K2M3N4P5Q6R7S8T9V0W1"
],
"variants": [],
"modified": "2026-10-27T10:00:00Z"
}{
"error": true,
"code": "invalid_request",
"message": "width is required.",
"param": "width",
"requestId": "FZn-uhymjoEEJow="
}{
"error": true,
"code": "unauthorized",
"message": "Missing or invalid secret key. Send it as \"Authorization: Bearer sk_…\".",
"requestId": "FZn-uhymjoEEJow="
}{
"error": true,
"code": "account_suspended",
"message": "This account is suspended. Settle the outstanding invoice in the Print.App dashboard.",
"requestId": "FZn-uhymjoEEJow="
}{
"error": true,
"code": "not_found",
"message": "Not found.",
"requestId": "FZn-uhymjoEEJow="
}{
"error": true,
"code": "unsupported_media_type",
"message": "Send the request body as JSON, with \"Content-Type: application/json\".",
"requestId": "FZn-uhymjoEEJow="
}{
"message": "Too Many Requests"
}{
"error": true,
"code": "internal_error",
"message": "Something went wrong on our side. Retry the request; if it keeps failing, contact support with the requestId.",
"requestId": "FZn-uhymjoEEJow="
}Authorizations
A secret key from Print.App admin → Domains → Secret keys, sent as Authorization: Bearer sk_…. Server-side only.
Path Parameters
The product's id in your store.
Body
application/json
The designs a product opens.
The designs the product opens, in order. [] leaves only the variants' designs.
Maximum array length:
50The product's name, shown in the dashboard. Default: the current one, or the product id.
Required string length:
1 - 200Per-variant designs. Variants you leave out open the product's designs.
Maximum array length:
500Show child attributes
Show child attributes
Response
OK.
The designs one store product opens.